Summary: IRQ allocation daemon
Name: irqbalance
Version: 1.0.6
Release: r1.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://code.google.com/p/irqbalance/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: glib-2.0
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: update-rc.d-native
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libglib-2.0.so.0()(64bit)
Requires: libc.so.6()(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libpthread.so.0()(64bit)
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires: libglib-2.0-0(x86_64) >= 2.36.4
Requires: libm.so.6()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(post): libglib-2.0.so.0()(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): /bin/sh
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libpthread.so.0()(64bit)
Requires(post): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libglib-2.0-0(x86_64) >= 2.36.4
Requires(post): libm.so.6()(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(preun): libglib-2.0.so.0()(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): /bin/sh
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc6 >= 2.18+4.8
Requires(preun): libpthread.so.0()(64bit)
Requires(preun): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libglib-2.0-0(x86_64) >= 2.36.4
Requires(preun): libm.so.6()(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(postun): libglib-2.0.so.0()(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): /bin/sh
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libpthread.so.0()(64bit)
Requires(postun): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libglib-2.0-0(x86_64) >= 2.36.4
Requires(postun): libm.so.6()(64bit)
Suggests: update-rc.d

%description
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.

%package -n irqbalance-dbg
Summary: IRQ allocation daemon - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Suggests: libglib-2.0-dbg(x86_64)
Recommends: irqbalance = 1.0.6-r1.0

%description -n irqbalance-dbg
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
ELF symbols and related sources for debugging purposes.

%package -n irqbalance-staticdev
Summary: IRQ allocation daemon - Development files (Static Libraries)
Group: devel
Requires: irqbalance-dev = 1.0.6-r1.0

%description -n irqbalance-staticdev
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
static libraries for software development.

%package -n irqbalance-dev
Summary: IRQ allocation daemon - Development files
Group: devel
Requires: irqbalance = 1.0.6-r1.0
Suggests: libc6-dev(x86_64)
Suggests: libglib-2.0-dev(x86_64)

%description -n irqbalance-dev
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n irqbalance-doc
Summary: IRQ allocation daemon - Documentation files
Group: doc

%description -n irqbalance-doc
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
documentation.

%package -n irqbalance-locale
Summary: IRQ allocation daemon
Group: base

%description -n irqbalance-locale
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.

%post
# irqbalance - postinst
#!/bin/sh
if test "x$D" != "x"; then
	OPT="-r $D"
else
	OPT="-s"
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT irqbalanced defaults
fi


%preun
# irqbalance - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "x$D" = "x"; then
	/etc/init.d/irqbalanced stop
fi
fi

%postun
# irqbalance - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "$D" != ""; then
	OPT="-f -r $D"
else
	OPT=""
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT irqbalanced remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/init.d"
"/etc/init.d/irqbalanced"
%dir "/usr/sbin"
"/usr/sbin/irqbalance"

%files -n irqbalance-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/sbin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/irqbalance"
%dir "/usr/src/debug/irqbalance/1.0.6-r1"
%dir "/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/cputree.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/placement.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/cpumask.h"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/bitmap.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/non-atomic.h"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/irqlist.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/irqbalance.h"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/numa.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/bitmap.h"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/irqbalance.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/types.h"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/activate.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/classify.c"
"/usr/src/debug/irqbalance/1.0.6-r1/irqbalance-1.0.6/procinterrupts.c"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/irqbalance"

%files -n irqbalance-dev
%defattr(-,-,-,-)

%files -n irqbalance-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/irqbalance.1"

